> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Adicionar comportamento/atitude ao currículo

> Vincula um comportamento/atitude específico ao currículo do usuário autenticado via JWT



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json post /api/v1/empregabilidade/curriculo/comportamentos-atitudes
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/empregabilidade/curriculo/comportamentos-atitudes:
    post:
      tags:
        - empregabilidade-curriculo
      summary: Adicionar comportamento/atitude ao currículo
      description: >-
        Vincula um comportamento/atitude específico ao currículo do usuário
        autenticado via JWT
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/empregabilidade.AddComportamentoAtitudesRequest
        description: ID do comportamento/atitude a ser vinculado
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/empregabilidade.CurriculoComportamentoAtitudes
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
        '401':
          description: Usuário não autenticado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
        '500':
          description: Erro ao adicionar comportamento/atitude ao currículo
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    empregabilidade.AddComportamentoAtitudesRequest:
      type: object
      required:
        - id_comportamento_atitudes
      properties:
        id_comportamento_atitudes:
          type: integer
          example: 10
    empregabilidade.CurriculoComportamentoAtitudes:
      type: object
      properties:
        comportamento_atitudes:
          $ref: '#/components/schemas/empregabilidade.ComportamentoAtitudes'
        cpf:
          type: string
        created_at:
          type: string
        id:
          type: integer
        id_comportamento_atitudes:
          type: integer
        updated_at:
          type: string
    response.ErrorResponse:
      type: object
      properties:
        error:
          type: string
          example: Mensagem de erro aqui
    empregabilidade.ComportamentoAtitudes:
      type: object
      properties:
        created_at:
          type: string
        id:
          type: integer
        nome:
          type: string
        updated_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.